TdsTlsSocket (jTDS API)
Keywords: net.sourceforge.jtds.ssl.TdsTlsSocket class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.ssl
Class TdsTlsSocket

    java.lang.Object
      java.net.Socket
          net.sourceforge.jtds.ssl.TdsTlsSocket

class TdsTlsSocket
extends java.net.Socket

A socket that mediates between JSSE and the DB server.

Version:
  $Id: TdsTlsSocket.java,v 1.3.2.1 2009/08/07 14:02:11 ickzon Exp $
Author:
  Rob Worsnop, Mike Hutchinson

Field Summary
`private java.net.Socket` | `delegate`
`private java.io.InputStream` | `istm`
`private java.io.OutputStream` | `ostm`

Fields inherited from class java.net.Socket
``

Constructor Summary
`(package private)` | `TdsTlsSocket(java.net.Socket delegate)` Constructs a TdsTlsSocket around an underlying socket.

Method Summary
`void` | `close()`
`java.io.InputStream` | `getInputStream()`
`java.io.OutputStream` | `getOutputStream()`
`boolean` | `isConnected()`
`void` | `setKeepAlive(boolean keepAlive)`
`void` | `setSoTimeout(int timeout)`
`void` | `setTcpNoDelay(boolean on)`

Methods inherited from class java.net.Socket
`bind, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isInputShutdown, isOutputShutdown, sendUrgentData, setOOBInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setTrafficClass, shutdownInput, shutdownOutput, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### delegate

    private final java.net.Socket delegate

### istm

    private final java.io.InputStream istm

### ostm

    private final java.io.OutputStream ostm

Constructor Detail

### TdsTlsSocket

    TdsTlsSocket(java.net.Socket delegate)
           throws java.io.IOException

  Constructs a TdsTlsSocket around an underlying socket.

Parameters:
  `delegate` - the underlying socket

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### isConnected

    public boolean isConnected()

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setKeepAlive

    public void setKeepAlive(boolean keepAlive)
                      throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setTcpNoDelay

    public void setTcpNoDelay(boolean on)
                       throws java.net.SocketException

  Throws:
    `java.net.SocketException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009